package com.bonus.hn.bearing.capacity.backstage.companypro.dao;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.OwmTeamQueryBean;
import com.bonus.hn.bearing.capacity.backstage.companypro.entity.TreeBean;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 包名称：com.bonus.hn.bearing.capacity.backstage.companypro.dao
 * 类名称：ProjectManagerDao
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年11月06日 16:26
 */
@Repository(value = "OwmTeamQueryDao")
public interface OwmTeamQueryDao {

    List<OwmTeamQueryBean> getProjectManagementTeamsList(OwmTeamQueryBean o);

    List<OwmTeamQueryBean> getowmTeamQueryTeamsFormList(OwmTeamQueryBean o);

    List<OwmTeamQueryBean> getTeamsList(OwmTeamQueryBean o);

    int bindProTeam(OwmTeamQueryBean bean);

    int updateStatus(OwmTeamQueryBean bean);

    int unBindProTeam(OwmTeamQueryBean bean);

    List<TreeBean> getCompanyProTree(TreeBean o);
}
